## net.i2p.router.transport.udp
Class PeerTestManager

    java.lang.Object
      net.i2p.router.transport.udp.PeerTestManager

     class PeerTestManager

extends java.lang.Object

Constructor Summary
`PeerTestManager(RouterContext context, UDPTransport transport)`

Method Summary
`void` `receiveTest(RemoteHostId from, UDPPacketReader reader)` Receive a test message of some sort from the given peer, queueing up any packet that should be sent in response, or if its a reply to our own current testing, adjusting our test state.
`void` `runTest(java.net.InetAddress bobIP, int bobPort, SessionKey bobCipherKey, SessionKey bobMACKey)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PeerTestManager

    public PeerTestManager(RouterContext context,
                           UDPTransport transport)

Method Detail

### runTest

    public void runTest(java.net.InetAddress bobIP,
                        int bobPort,
                        SessionKey bobCipherKey,
                        SessionKey bobMACKey)

### receiveTest

    public void receiveTest(RemoteHostId from,
                            UDPPacketReader reader)

  Receive a test message of some sort from the given peer, queueing up any packet that should be sent in response, or if its a reply to our own current testing, adjusting our test state.